{#
    LimeSurvey SkelVanilla template
    Copyright (C) 2018-2019 Denis Chenu
    All rights reserved.
    License: GNU/GPL License v2 or later, see LICENSE.php
    LimeSurvey is free software. This version may have been modified pursuant
    to the GNU General Public License, and as distributed it includes or
    is derivative of works licensed under the GNU General Public License or
    other free or open source software licenses.
    See COPYRIGHT.php for copyright notices and details.

    (¯`·._.·(¯`·._.· Question Container  ·._.·´¯)·._.·´¯)

    The div containing the question is one of tag that could often change from a template to another
    Different classes, options, etc
    So we separate it
#}
{# Start of Options #}
{% set tagSection = 'div' %}
{% set tagHeader = 'div' %}
{% if ( aSurveyInfo.options.questionhtag == 'on' ) %}
    {% set tagSection = 'section' %}
    {% set tagHeader = 'header' %}
{% endif %}
{% set questionwrap = aSurveyInfo.options.questionwrap %}
{% set questioncolor = '' %}
{% set questioncontainerclass = '' %}
{% set questionsize = aSurveyInfo.options.questionsize %}
{% set start_group = 0 %}
{% set end_group = 0 %}
{% if questionwrap is empty %}
    {% set questionwrap = 'none' %}
{% endif %}
{% if ( aSurveyInfo.options.questioncolor and aSurveyInfo.options.questioncolor !='none' ) %}
    {% set questioncolor = aSurveyInfo.options.questioncolor %}
{% endif %}

{# skel-value Class management #}
{% set aQuestionsClasses = aQuestion.class|split(' ') %}
{% if(in_array('skel-wrap-well',aQuestionsClasses)) %}
    {% set questionwrap = 'well' %}
{% endif %}
{% if(in_array('skel-wrap-panel',aQuestionsClasses)) %}
    {% set questionwrap = 'panel' %}
{% endif %}
{% if(in_array('skel-wrap-none',aQuestionsClasses)) %}
    {% set questionwrap = 'none' %}
{% endif %}
{% if(in_array('skel-color-none',aQuestionsClasses)) %}
    {% set questioncolor ='none' %}
{% endif %}
{% if(in_array('skel-color-primary',aQuestionsClasses)) %}
    {% set questioncolor ='primary' %}
{% endif %}
{% if(in_array('skel-color-info',aQuestionsClasses)) %}
    {% set questioncolor ='info' %}
{% endif %}
{% if(in_array('skel-color-success',aQuestionsClasses)) %}
    {% set questioncolor ='success' %}
{% endif %}
{% if(in_array('skel-color-warning',aQuestionsClasses)) %}
    {% set questioncolor ='warning' %}
{% endif %}
{% if(in_array('skel-size-body',aQuestionsClasses)) %}
    {% set questionsize ='body-copy' %}
{% endif %}
{% if(in_array('skel-size-h5',aQuestionsClasses)) %}
    {% set questionsize ='h5' %}
{% endif %}
{% if(in_array('skel-size-h4',aQuestionsClasses)) %}
    {% set questionsize ='h4' %}
{% endif %}
{% if(in_array('skel-size-h3',aQuestionsClasses)) %}
    {% set questionsize ='h3' %}
{% endif %}
{% if(in_array('skel-size-h2',aQuestionsClasses)) %}
    {% set questionsize ='h2' %}
{% endif %}
{% if(in_array('skel-size-lead',aQuestionsClasses)) %}
    {% set questionsize ='lead' %}
{% endif %}

{% if ( questionwrap == 'well' ) %}
    {% set questioncontainerclass = 'well well-sm' %}
{% endif %}
{% set panel = false %}
{% if ( questionwrap =='panel' ) %}
    {% set panel = true %}
    {% set start_panel_body = 1 %}
    {% set close_panel_body = 1 %}
    {% set panel_heading = 1 %}
    {% if ( questioncolor ) %}
        {% set questioncontainerclass = 'panel panel-'~questioncolor %}
        {% set questioncolor = '' %}
    {% else %}
        {% set questioncontainerclass = 'panel panel-default' %}
    {% endif %}
    {% set containererrorclass = 'panel-danger' %}
{% else %}
    {% set questioncolor = 'text-'~questioncolor %}
    {% set errorclass = 'text-danger' %}
{% endif %}
{% if(in_array('skel-start-group',aQuestionsClasses)) %}
    {% set start_group = 1 %}
{% endif %}
{% if(in_array('skel-start-group-question',aQuestionsClasses)) %}
    {% set no_close = 1 %}
{% endif %}
{% if(in_array('skel-end-group',aQuestionsClasses)) %}
    {% set end_group = 1 %}
{% endif %}
{% if(in_array('skel-no-question',aQuestionsClasses)) %}
    {% set no_include_text = 1 %}
{% endif %}
{% set displayhtml = 1 %}
{% if(in_array('no-html-display',aQuestionsClasses)) %}
    {% set displayhtml = 0 %}
{% endif %}
{% if(aSurveyInfo.options.dangercolor != 'on') %}
    {% set errorclass = '' %}
    {% set containererrorclass = '' %}
{% endif %}
{% set questioncontainerclass = questioncontainerclass ~ ' wrap-' ~ questionwrap %}
{% set mandatory = (aQuestion.mandatory != '' and aQuestion.mandatory  != 'N') %}
{% if mandatory %}
    {% set mandatoryposition = 'astip' %}
    {% if ( aSurveyInfo.options.mandatoryposition) %}
        {% set mandatoryposition = aSurveyInfo.options.mandatoryposition %}
    {% endif %}
{% endif %}

{# End of Options #}

{% if displayhtml %}
<!-- Question {{ aQuestion.qid  }}  -->
{% if (start_group) %}
    <{{ tagSection }} class="{{ questioncontainerclass }} skel-group">
    {% if(panel) %}
        {{ include('./subviews/survey/question_subviews/question_text_container.twig') }}
        {% set no_include_text = 1 %}
    {% endif %}
    <{{ tagSection }} {{ aQuestion.attributes }} class="{{ aQuestion.class }} {% if aQuestion.input_error_class %}submitted-error{% endif %} {{ aSurveyInfo.class.questioncontainer }}" {{ aSurveyInfo.attr.questioncontainer }}>
{% else %}
    <{{ tagSection }} {{ aQuestion.attributes }} class="{{ questioncontainerclass }} {{ aQuestion.class }} {% if aQuestion.input_error_class %}submitted-error {{ containererrorclass }}{% endif %} {{ aSurveyInfo.class.questioncontainer }}" {{ aSurveyInfo.attr.questioncontainer }}>
{% endif %}
    {{ include('./subviews/survey/question.twig') }}
{% if (end_group) %}
    </{{ tagSection }} >
{% endif %}
{% if not no_close %}
</{{ tagSection }}>
{% endif %}
<!-- End of question  {{ aQuestion.qid  }}  -->
{% endif %}
